{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: "cilium.io/v2"
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-ingress-to-cluster
  namespace: default
spec:
  endpointSelector:
    matchExpressions:
      - key: reserved:ingress
        operator: Exists
  egress:
    - toEntities:
        - cluster
  ingress:
    - fromEntities:
        - world
        - cluster
{{- end }}
